# WaveRangeRequirement | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class WaveRangeRequirement

#### Hierarchy (View Summary)

- EncounterSceneRequirement
  - WaveRangeRequirement

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:208

##### Index

### Constructors

constructor

### Properties

waveRange

### Methods

getDialogueToken
meetsRequirement

## Constructors

### constructor

- new WaveRangeRequirement(waveRange: [number, number]): WaveRangeRequirement

  Used for specifying a unique wave or wave range requirement If minWaveIndex and maxWaveIndex are equivalent, will check for exact wave number

  #### Parameters

  - waveRange: [number, number]

    [min, max]

  #### Returns WaveRangeRequirement

  Overrides EncounterSceneRequirement.constructor

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:216

## Properties

### waveRange

waveRange: [number, number]

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:209

## Methods

### getDialogueToken

- getDialogueToken(_pokemon?: PlayerPokemon ): [string, string]

  Returns a dialogue token key/value pair for a given Requirement. Should be overridden by child Requirement classes.

  #### Parameters

  - `Optional`_pokemon: PlayerPokemon

  #### Returns [string, string]

  Overrides EncounterSceneRequirement.getDialogueToken

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:234

### meetsRequirement

- meetsRequirement(): boolean

  Returns whether the EncounterSceneRequirement's... requirements, are met by the given scene

  #### Returns boolean

  Overrides EncounterSceneRequirement.meetsRequirement

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:221